Subject: [bug#31056] [PATCH] gnu: emacs-org: fix byte compilation

From: [email-masked] (Ludovic Courtès)
Date: Sun, 13 May 2018 22:36:21 +0200

Hello,

Nicolas, what’s the status of this patch?  What should we do?

TIA,  :-)
Ludo’.

Konrad Hinsen <[email-masked]> skribis:

> Hi Nicolas,
>
>>> The problem has been around for years, so I have given up hope for an
>>> upstream fix.
>>
>> I don't think it is true. The problem is that Emacs ships with a very
>> old Org. The problem is not exclusively on the Org side.
>
> I'd even say not at all. Nothing in Emacs seems to be made for having
> two versions of the same library on load-path, so this shouldn't
> happen.
>
> For me, the problem was integrating org-mode into Emacs without at the
> same time synchronizing releases, though I am sure there were good
> reasons for that as well.
>
>>> I doubt anyone will work on a fix in the meantime.
>>
>> I suggested a possible fix. Would that work?
>
> No idea. All I did is translate to Guix a well-known trick for fixing
> the problem with ELPA-based installations.
>
> My Emacs-Fu isn't advanced enough to even understand what really causes
> the error. Much less to judge if the fix you propose would work, and if
> it does, how many similar problems would need to be fixed after that
> one.
>
> Konrad.